//-----
// Sfx packet definition file.
// Only editable by Anthony Bowyer-Lowe.
//-----

//-----
//# PACKET: Battle Sfx - Genero
// Last Edited: 11/18/97 - 18:13:30.
// File Format: 1.0.
//-----

#define SFX_EXPLOSIONLARGE      		 0
//# NAME: ExplosionLarge
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: EXPLO01
//#     FREQ: 16100
//#     FREQDEV: 0
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_EXPLOSIONSMALL      		 1
//# NAME: ExplosionSmall
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: EXPLO03
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_HORSES              		 2
//# NAME: Horses
//# PRIORITY: 150
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: horsga09
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 150
//#     LOOP: 1
//#     ATTACK: 10
//#     RELEASE: 4

#define SFX_ARROWS              		 3
//# NAME: Arrows
//# PRIORITY: 250
//# TYPE: 3
//# FLAGS: 2
//# SNDS: 3
//#-----
//#     SAMPLE: archer03
//#     FREQ: 22100
//#     FREQDEV: 2000
//#     VOLUME: 120
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: !Null
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 0
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: ARROW13
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 120
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_ARROWHIT            		 4
//# NAME: ArrowHit
//# PRIORITY: 250
//# TYPE: 3
//# FLAGS: 2
//# SNDS: 3
//#-----
//#     SAMPLE: ARROW05
//#     FREQ: 28000
//#     FREQDEV: 2000
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: !Null
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 0
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: ARCHER04
//#     FREQ: 16050
//#     FREQDEV: 100
//#     VOLUME: 120
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_FIREBALL            		 5
//# NAME: Fireball
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: firecast
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 200
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_SCREAMF             		 6
//# NAME: ScreamF
//# PRIORITY: 50
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: screamf1
//#     FREQ: 16050
//#     FREQDEV: 2000
//#     VOLUME: 155
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_SCREAMM             		 7
//# NAME: ScreamM
//# PRIORITY: 50
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: screamm
//#     FREQ: 11050
//#     FREQDEV: 2000
//#     VOLUME: 200
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_OSIRISCAST          		 8
//# NAME: OsirisCast
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: osiris2
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 185
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_OSIRISHIT           		 9
//# NAME: OsirisHit
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: osiris1
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 166
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_HORNURGOK           		10
//# NAME: HornUrgok
//# PRIORITY: 75
//# TYPE: 2
//# FLAGS: 2
//# SNDS: 2
//#-----
//#     SAMPLE: hornurg
//#     FREQ: 18000
//#     FREQDEV: 200
//#     VOLUME: 199
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: hornurg
//#     FREQ: 18000
//#     FREQDEV: 200
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_MAGICREFLECT        		11
//# NAME: MagicReflect
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: mreflect
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 222
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_MAGICDISPEL         		12
//# NAME: MagicDispel
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: dispel
//#     FREQ: 18050
//#     FREQDEV: 0
//#     VOLUME: 175
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_MAGICHIT            		13
//# NAME: MagicHit
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: magichit
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 115
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_PLOPSPLISH          		14
//# NAME: PlopSplish
//# PRIORITY: 200
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: SPLISH3
//#     FREQ: 22050
//#     FREQDEV: 2000
//#     VOLUME: 95
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_MORTARFLY           		15
//# NAME: MortarFly
//# PRIORITY: 125
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: mortar
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_CATAPULT            		16
//# NAME: Catapult
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: CATAPULT
//#     FREQ: 20050
//#     FREQDEV: 1000
//#     VOLUME: 165
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BUILDINGBURN        		17
//# NAME: BuildingBurn
//# PRIORITY: 145
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: crackles
//#     FREQ: 11025
//#     FREQDEV: 0
//#     VOLUME: 147
//#     LOOP: 1
//#     ATTACK: 11
//#     RELEASE: 6

#define SFX_LIGHTNINGZZZAP      		18
//# NAME: Lightningzzzap
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: zzzap
//#     FREQ: 20050
//#     FREQDEV: 500
//#     VOLUME: 180
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BIGBADBONG          		19
//# NAME: BigBadBong
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 0
//# SNDS: 1
//#-----
//#     SAMPLE: BONG
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 175
//#     LOOP: 0
//#     ATTACK: -8
//#     RELEASE: -1

#define SFX_FIGHTLOOP           		20
//# NAME: FightLoop
//# PRIORITY: 128
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: bigfigt2
//#     FREQ: 16025
//#     FREQDEV: 0
//#     VOLUME: 135
//#     LOOP: 1
//#     ATTACK: 10
//#     RELEASE: 7

