//-----
// Sfx packet definition file.
// Only editable by Anthony Bowyer-Lowe.
//-----

//-----
//# PACKET: Battle Sfx - Undead
// Last Edited: 11/20/97 - 13:35:19.
// File Format: 1.0.
//-----

#define SFX_DOOMBOLTWHOOSH      		 0
//# NAME: DoomBoltWhoosh
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: DMBTWH
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 165
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_DOOMBOLTEXPLO       		 1
//# NAME: DoomBoltExplo
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: EXPLOMAG
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 180
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_WITCHFLIGHTCYCLE    		 2
//# NAME: WitchFlightCycle
//# PRIORITY: 145
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: witchfl
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 175
//#     LOOP: 1
//#     ATTACK: 15
//#     RELEASE: 13

#define SFX_BATTLEUNDEAD        		 3
//# NAME: BattleUndead
//# PRIORITY: 100
//# TYPE: 6
//# FLAGS: 2
//# SNDS: 12
//#-----
//#     SAMPLE: BodyHit5
//#     FREQ: 16050
//#     FREQDEV: 1000
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: GutSplat
//#     FREQ: 22050
//#     FREQDEV: 5000
//#     VOLUME: 150
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: Crunch
//#     FREQ: 22050
//#     FREQDEV: 8000
//#     VOLUME: 170
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: BoneChew
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 125
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: DarkSwrd
//#     FREQ: 22025
//#     FREQDEV: 500
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: GutSplat
//#     FREQ: 32000
//#     FREQDEV: 4000
//#     VOLUME: 140
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: punch1
//#     FREQ: 22000
//#     FREQDEV: 0
//#     VOLUME: 105
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: Crunch
//#     FREQ: 28000
//#     FREQDEV: 3000
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: moan1
//#     FREQ: 11050
//#     FREQDEV: 0
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: moan5
//#     FREQ: 11050
//#     FREQDEV: 0
//#     VOLUME: 109
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: stab2
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: DarkSwrd
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 144
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_DARKPREPARE         		 4
//# NAME: DarkPrepare
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: DARKPREP
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 220
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_SOULDRAINLOOP       		 5
//# NAME: SoulDrainLoop
//# PRIORITY: 145
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: soulloop
//#     FREQ: 22050
//#     FREQDEV: 4000
//#     VOLUME: 255
//#     LOOP: 1
//#     ATTACK: 14
//#     RELEASE: 8

#define SFX_SOULDRAINSUCK       		 6
//# NAME: SoulDrainSuck
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: Soulsuck
//#     FREQ: 16050
//#     FREQDEV: 1500
//#     VOLUME: 195
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_SOULDRAINGAIN       		 7
//# NAME: SoulDrainGain
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: soulgain
//#     FREQ: 22050
//#     FREQDEV: 2000
//#     VOLUME: 141
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_DEATHSPASMWHOOSH    		 8
//# NAME: DeathSpasmWhoosh
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: spasmwh
//#     FREQ: 22050
//#     FREQDEV: 2000
//#     VOLUME: 225
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BLADEWINDLOOP       		 9
//# NAME: BladeWindLoop
//# PRIORITY: 145
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: bladloop
//#     FREQ: 14050
//#     FREQDEV: 0
//#     VOLUME: 180
//#     LOOP: 1
//#     ATTACK: 15
//#     RELEASE: 7

#define SFX_BLADEWINDHIT        		10
//# NAME: BladeWindHit
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 2
//#-----
//#     SAMPLE: DarkSwrd
//#     FREQ: 22050
//#     FREQDEV: 5000
//#     VOLUME: 175
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: DarkSwrd
//#     FREQ: 28050
//#     FREQDEV: 2000
//#     VOLUME: 165
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_RAISEDEAD           		11
//# NAME: RaiseDead
//# PRIORITY: 145
//# TYPE: 6
//# FLAGS: 2
//# SNDS: 9
//#-----
//#     SAMPLE: moan5
//#     FREQ: 11050
//#     FREQDEV: 1000
//#     VOLUME: 121
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: moan1
//#     FREQ: 11050
//#     FREQDEV: 500
//#     VOLUME: 129
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: moan6
//#     FREQ: 11050
//#     FREQDEV: 2000
//#     VOLUME: 117
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: moan4
//#     FREQ: 11050
//#     FREQDEV: 0
//#     VOLUME: 127
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: null250
//#     FREQ: 22025
//#     FREQDEV: 0
//#     VOLUME: 121
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: null250
//#     FREQ: 22000
//#     FREQDEV: 0
//#     VOLUME: 121
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: null250
//#     FREQ: 20000
//#     FREQDEV: 8000
//#     VOLUME: 121
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: null250
//#     FREQ: 22025
//#     FREQDEV: 0
//#     VOLUME: 111
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: BoneChew
//#     FREQ: 20000
//#     FREQDEV: 0
//#     VOLUME: 93
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_DEATHSPASMSCREAM    		12
//# NAME: DeathSpasmScream
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: tripout
//#     FREQ: 11025
//#     FREQDEV: 0
//#     VOLUME: 205
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_ARNIZIPALLOOP       		13
//# NAME: ArnizipalLoop
//# PRIORITY: 145
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: arnihorr
//#     FREQ: 15025
//#     FREQDEV: 0
//#     VOLUME: 125
//#     LOOP: 1
//#     ATTACK: 18
//#     RELEASE: 4

#define SFX_ARNIZIPALHIT        		14
//# NAME: ArnizipalHit
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: anazhit1
//#     FREQ: 20000
//#     FREQDEV: 4000
//#     VOLUME: 156
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_SCREAMSKULL         		15
//# NAME: ScreamSkull
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: proj2
//#     FREQ: 22050
//#     FREQDEV: 1500
//#     VOLUME: 175
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_UNDEADWOUND         		16
//# NAME: UndeadWound
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: moan6
//#     FREQ: 11050
//#     FREQDEV: 5000
//#     VOLUME: 135
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_UNDEADBURN          		17
//# NAME: UndeadBurn
//# PRIORITY: 125
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: moan4
//#     FREQ: 14050
//#     FREQDEV: 1000
//#     VOLUME: 165
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_UNDEADFLYING        		18
//# NAME: UndeadFlying
//# PRIORITY: 125
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: moan6
//#     FREQ: 14050
//#     FREQDEV: 500
//#     VOLUME: 155
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_UNDEADCHARGE        		19
//# NAME: UndeadCharge
//# PRIORITY: 150
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: footstep
//#     FREQ: 14050
//#     FREQDEV: 500
//#     VOLUME: 175
//#     LOOP: 1
//#     ATTACK: 20
//#     RELEASE: 6

#define SFX_GAZENAGASH          		20
//# NAME: GazeNagash
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: buzzloop
//#     FREQ: 30000
//#     FREQDEV: 0
//#     VOLUME: 180
//#     LOOP: 1
//#     ATTACK: 11
//#     RELEASE: 5

