//-----
// Sfx packet definition file.
// Only editable by Anthony Bowyer-Lowe.
//-----

//-----
//# PACKET: Sniff dat glue...
// Last Edited: 11/18/97 - 10:30:00.
// File Format: 1.0.
//-----

#define SFX_MAPJOURNEY          		 0
//# NAME: MapJourney
//# PRIORITY: 200
//# TYPE: 1
//# FLAGS: 0
//# SNDS: 1
//#-----
//#     SAMPLE: horsga09
//#     FREQ: 22000
//#     FREQDEV: 500
//#     VOLUME: 151
//#     LOOP: 1
//#     ATTACK: 7
//#     RELEASE: 7

#define SFX_BUYARMOUR           		 1
//# NAME: BuyArmour
//# PRIORITY: 200
//# TYPE: 1
//# FLAGS: 0
//# SNDS: 1
//#-----
//#     SAMPLE: anvilx2
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_NEXTPAGE            		 2
//# NAME: NextPage
//# PRIORITY: 200
//# TYPE: 3
//# FLAGS: 1
//# SNDS: 2
//#-----
//#     SAMPLE: paper1
//#     FREQ: 19050
//#     FREQDEV: 400
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: paper2
//#     FREQ: 19050
//#     FREQDEV: 400
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BUYBLOKES           		 3
//# NAME: BuyBlokes
//# PRIORITY: 200
//# TYPE: 2
//# FLAGS: 0
//# SNDS: 2
//#-----
//#     SAMPLE: buglea
//#     FREQ: 22050
//#     FREQDEV: 100
//#     VOLUME: 170
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0
//#-----
//#     SAMPLE: buglea
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 70
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BUYMAGIC            		 4
//# NAME: BuyMagic
//# PRIORITY: 200
//# TYPE: 2
//# FLAGS: 0
//# SNDS: 2
//#-----
//#     SAMPLE: magicbuy
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 195
//#     LOOP: 0
//#     ATTACK: -7
//#     RELEASE: 0
//#-----
//#     SAMPLE: magicbuy
//#     FREQ: 22050
//#     FREQDEV: 1000
//#     VOLUME: 193
//#     LOOP: 0
//#     ATTACK: -7
//#     RELEASE: -1

