//-----
// Sfx packet definition file.
// Only editable by Anthony Bowyer-Lowe.
//-----

//-----
//# PACKET: InterfaceMyFist
// Last Edited: 11/18/97 - 10:32:45.
// File Format: 1.0.
//-----

#define SFX_BUTTONDOWN          		 0
//# NAME: ButtonDown
//# PRIORITY: 1
//# TYPE: 1
//# FLAGS: 1
//# SNDS: 1
//#-----
//#     SAMPLE: BUTTONA1
//#     FREQ: 16000
//#     FREQDEV: 0
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BUTTONUP            		 1
//# NAME: ButtonUp
//# PRIORITY: 1
//# TYPE: 1
//# FLAGS: 1
//# SNDS: 1
//#-----
//#     SAMPLE: BUTTONA1
//#     FREQ: 24000
//#     FREQDEV: 0
//#     VOLUME: 200
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_DUD                 		 2
//# NAME: Dud
//# PRIORITY: 5
//# TYPE: 1
//# FLAGS: 1
//# SNDS: 1
//#-----
//#     SAMPLE: dud01
//#     FREQ: 11000
//#     FREQDEV: 0
//#     VOLUME: 150
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_RUMBLECLAP          		 3
//# NAME: RumbleClap
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 2
//# SNDS: 1
//#-----
//#     SAMPLE: Thndr06
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: -10
//#     RELEASE: -1

#define SFX_PSXSELECTOR         		 4
//# NAME: PsxSelector
//# PRIORITY: 5
//# TYPE: 1
//# FLAGS: 1
//# SNDS: 1
//#-----
//#     SAMPLE: button01
//#     FREQ: 28000
//#     FREQDEV: 0
//#     VOLUME: 200
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_BUTTONAPPEAR        		 5
//# NAME: ButtonAppear
//# PRIORITY: 10
//# TYPE: 1
//# FLAGS: 1
//# SNDS: 1
//#-----
//#     SAMPLE: appear01
//#     FREQ: 44100
//#     FREQDEV: 0
//#     VOLUME: 200
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_MAGICAPPEAR         		 6
//# NAME: MagicAppear
//# PRIORITY: 15
//# TYPE: 1
//# FLAGS: 3
//# SNDS: 1
//#-----
//#     SAMPLE: anvil02
//#     FREQ: 44100
//#     FREQDEV: 0
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_RELOAD              		 7
//# NAME: Reload
//# PRIORITY: 75
//# TYPE: 1
//# FLAGS: 3
//# SNDS: 1
//#-----
//#     SAMPLE: timer03
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 175
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_MONEY               		 8
//# NAME: Money
//# PRIORITY: 100
//# TYPE: 1
//# FLAGS: 0
//# SNDS: 1
//#-----
//#     SAMPLE: money
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 175
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

#define SFX_NOTDONE             		 9
//# NAME: NotDone
//# PRIORITY: 128
//# TYPE: 1
//# FLAGS: 0
//# SNDS: 1
//#-----
//#     SAMPLE: notdone
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 255
//#     LOOP: 0
//#     ATTACK: -7
//#     RELEASE: 0

#define SFX_YES                 		10
//# NAME: Yes
//# PRIORITY: 5
//# TYPE: 1
//# FLAGS: 1
//# SNDS: 1
//#-----
//#     SAMPLE: ooo
//#     FREQ: 22050
//#     FREQDEV: 0
//#     VOLUME: 100
//#     LOOP: 0
//#     ATTACK: 0
//#     RELEASE: 0

